maven-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Richard Vowles <rich...@bluetrainsoftware.com>
Subject Re: version range: fix version prefix + RELEASE
Date Thu, 08 Aug 2013 21:30:11 GMT
Start with .1 - really, its quite simple. Always start with 1.1-SNAPSHOT,
2.1-SNAPSHOT, never ever never ever use .0

Then version ranges work perfectly.


On Fri, Aug 2, 2013 at 6:21 AM, Wayne Fay <waynefay@gmail.com> wrote:

> > example. In theory this should be accomplished by [1.8.0,1.9.0). But due
> to
> > http://jira.codehaus.org/browse/MNG-3092
> > <http://jira.codehaus.org/browse/MNG-3092>   this also includes
> snapshots I
> > do not want.
> >
> > Is there some possibility to override the default maven dependecy
> resolver
> > somehow?
>
> If you read MNG-3092 (it is long!), you'll see this is not currently
> possible.
>
> Wayne
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: users-unsubscribe@maven.apache.org
> For additional commands, e-mail: users-help@maven.apache.org
>
>


-- 
---
Richard Vowles,
Grails, Groovy, Java, Javascript, AngularJS
Consistency is the last refuge of the unimaginative - Oscar Wilde
ph: +64275467747, google+:http://rvowl.es/UX8Bmq
podcast: http://www.illegalargument.com

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message